Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel
Class VirtualDiskBase

`java.lang.Object
oracle.ovs.api.datamodel.VirtualDiskBase`

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DiskConfig, VirtualDisk

      public class VirtualDiskBase

extends java.lang.Object
implements java.io.Serializable

Hard drive type data model, used in `VirtualDiskBase`

See Also:
  Serialized Form

Field Summary
`static DiskMode` | `DISK_MODE_READ`
`static DiskMode` | `DISK_MODE_WRITE`
`static HardDriveType` | `HARD_DRIVE_AUTO`
`static HardDriveType` | `HARD_DRIVE_IDE`
`static HardDriveType` | `HARD_DRIVE_SCSI`
`static HardDriveType` | `HARD_DRIVE_XVD`
`static java.lang.String` | `HARD_DRIVER_AUTO`
`static java.lang.String` | `HARD_DRIVER_IDE`
`static java.lang.String` | `HARD_DRIVER_SCSI`
`static java.lang.String` | `HARD_DRIVER_XVD`
`static java.lang.String` | `NON_SHARABLE`
`static java.lang.String` | `STATUS_ACTIVE`

Constructor Summary
`VirtualDiskBase()`

Method Summary
`DiskMode` | `getDiskModeRead()`
`DiskMode` | `getDiskModeWrite()`
`HardDriveType` | `getHardDriveAuto()`
`HardDriveType` | `getHardDriveIde()`
`HardDriveType` | `getHardDriveScsi()`
`HardDriveType` | `getHardDriveXvd()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HARD_DRIVER_AUTO

    public static final java.lang.String HARD_DRIVER_AUTO

  See Also:
    Constant Field Values

### HARD_DRIVER_IDE

    public static final java.lang.String HARD_DRIVER_IDE

  See Also:
    Constant Field Values

### HARD_DRIVER_SCSI

    public static final java.lang.String HARD_DRIVER_SCSI

  See Also:
    Constant Field Values

### HARD_DRIVER_XVD

    public static final java.lang.String HARD_DRIVER_XVD

  See Also:
    Constant Field Values

### NON_SHARABLE

    public static final java.lang.String NON_SHARABLE

  See Also:
    Constant Field Values

### STATUS_ACTIVE

    public static final java.lang.String STATUS_ACTIVE

  See Also:
    Constant Field Values

### HARD_DRIVE_AUTO

    public static final HardDriveType HARD_DRIVE_AUTO

### HARD_DRIVE_IDE

    public static final HardDriveType HARD_DRIVE_IDE

### HARD_DRIVE_SCSI

    public static final HardDriveType HARD_DRIVE_SCSI

### HARD_DRIVE_XVD

    public static final HardDriveType HARD_DRIVE_XVD

### DISK_MODE_WRITE

    public static final DiskMode DISK_MODE_WRITE

### DISK_MODE_READ

    public static final DiskMode DISK_MODE_READ

Constructor Detail

### VirtualDiskBase

    public VirtualDiskBase()

Method Detail

### getHardDriveAuto

    public HardDriveType getHardDriveAuto()

### getHardDriveIde

    public HardDriveType getHardDriveIde()

### getHardDriveScsi

    public HardDriveType getHardDriveScsi()

### getHardDriveXvd

    public HardDriveType getHardDriveXvd()

### getDiskModeWrite

    public DiskMode getDiskModeWrite()

### getDiskModeRead

    public DiskMode getDiskModeRead()

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.